define(
    ['Backbone', 'ResourceLink'],
    function (Backbone, ResourceLink) {
        'use strict';
        var Resources = Backbone.Collection.extend({
            model: ResourceLink,
            url: "../AntibiogramResources/rest/public/resource-directory", //Kicks-off dynamic URIs
            parse: function (response) {
            	return response.link;
            },
            initialize: function () {
                this.fetch({async: false});
            }
        });
        return new Resources();
    }
);
